!set title=Futuro I-5
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=es
author=XIAO Gang
email=xiao@unice.fr

ansorder=r
varcnt=27
prevarcnt=26
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=$[rint(5)]
val7=h
tmp0=!randint 6, 57

val8=$[rint($(tmp0))]
val9=$[rint(120)]
tmp0=!randint 12, 23

val10=$[rint($(tmp0))]
tmp0=!randint 1, 59

val11=$[rint($(tmp0))]
val12=$[rint($val10*60+$val11)]
!readproc slib/draw/clock $val10:$val11,$val9,1,exactmin nosecond 
tmp0=$slib_out
val13=$(tmp0)
val14=$[rint($val12+$val8)]
val15=-$val8,60,$val8*2,-$val8*2,	-$val8-10,-$val8-60,-$val8-30,-$val8-15,-$val8-5,	-$val8+5,-$val8+10,-$val8+15,-$val8+20,-$val8+30,	$val8+2, $val8-2, $val8+3, $val8-3,	$val8+60,$val8-60,$val8+59,$val8+61,$val8-59,$val8-61,	$val8+10,$val8-10,$val8+5,$val8-5,$val8+30,$val8-30,	$val8+15,$val8-15
tmp0=!itemcnt $val15

val16=$[rint($(tmp0))]
tmp0=!values x+$val12 for x in $val15

tmp1=!shuffle $(tmp0)

val15=$(tmp1)
val14=$[rint($val12+$val8)]
tmp0=!item 1 to $val6 of $val15

tmp1=!listuniq $val14,$(tmp0)

val15=$(tmp1)
tmp0=!shuffle $val6

val17=$(tmp0)
tmp0=!positionof item 1 in $val17

val18=$(tmp0)
val19=
val20=
!for val21 =1 to $val6 
tmp0=!item $val21 of $val17

tmp1=!item $(tmp0) of $val15

val22=$[rint($(tmp1))]
val23=$[rint(floor($val22/60))]
val24=$[rint($val22%60)]
!readproc slib/draw/clock $val23:$val24,$val9,1,exactmin nosecond 
tmp0=$slib_out
val25=$(tmp0)
!readproc oef/draw.phtml $val9,$val9 \
$val25 
tmp0=$ins_url
val26=$(tmp0)
tmp0=!append item <img align=middle src=$val26> to $val19

val19=$(tmp0)
!if $val21=$val18 
val27=<img align=middle src=$val26>
!endif
!next
replytype1=dragfill
replyname1=El reloj correcto
replygood1=$val27;$val19
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Arrastre el reloj correcto a la casilla vacía: <p>	<table border=0>	<tr><td nowrap>	Son las</td><td>		  
!read oef/draw.phtml $val9,$val9 \
$val13 
$().	 </td><td nowrap>	 Dentro de $val8 minutos, serán las</td><td>	  
!read oef/embed.phtml reply 1,$val9 $val9 
$()							</td><td>.</td></tr>	</table></center>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=8,9,13
embedcnt=1
